require 'rubygems'
gem 'shoulda'
require 'test/unit'
require 'shoulda'
require 'blabla_client'

class BlablaClientTest < Test::Unit::TestCase

  # should 'test a real call to the trips API' do
  #   response = BlablaClient.available_trips('lyon', 'grenoble', Date.today, Date.today)
  #   assert_not_nil response
  #   assert_not_empty response[:trips]
  #   assert_equal 1, response[:page]
  # end

  should 'normalize input dates' do
    assert_equal '17-10-2015', BlablaClient.normalize_date('2015-10-17')
    assert_equal '17-10-2015', BlablaClient.normalize_date('17-10-2015')
    assert_equal '17-10-2015', BlablaClient.normalize_date('20151017')
    assert_equal '17-10-2015', BlablaClient.normalize_date(Date.new(2015, 10, 17))
    assert_equal '17-10-2015', BlablaClient.normalize_date(DateTime.new(2015, 10, 17))
    assert_equal '17-10-2015', BlablaClient.normalize_date(Time.new(2015, 10, 17))
  end
end